package tipsBeans;

import java.rmi.RemoteException;
import javax.ejb.SessionBean;
import javax.ejb.SessionContext;

public class NumberBean implements SessionBean {
  public int getNumber(String numberString) {
      try {
	  int sum = 0;
	  for (int i=0; i<numberString.length(); i++) {
	      sum += getIntByPosition(numberString, i, 1);
	  }
	  return (sum % 10);
      } catch (Exception e) {
	  e.printStackTrace();
      }
      return 9999;
  }

    private int getIntByPosition(String str, int index, int length)
	throws IndexOutOfBoundsException,
	       NumberFormatException {
        
	String numString = str.substring(index, index+length);
	return Integer.parseInt(numString);
    }

    public void ejbCreate() { }
    public void setSessionContext(SessionContext ctx) { }
    public void ejbRemove() { }
    public void ejbActivate() { }
    public void ejbPassivate() { }
    public void ejbLoad() { }
    public void ejbStore() { }
}